//
//  CardStackView.m
//  Card Game
//
//  Created by Amin Negm-Awad on Mi.,23.06.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "CardStackView.h"

static const float edgeRadius = 0.1;

@implementation CardStackView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}

- (void)drawRect:(NSRect)dirtyRect {
   // Umrandung zeichnen 
   NSRect cardRect = NSInsetRect( [self bounds], 0.5, 0.5 ); 

   CGFloat radius = NSWidth( cardRect ) * edgeRadius;
   
   NSBezierPath* path 
   = [NSBezierPath bezierPathWithRoundedRect:cardRect
                                     xRadius:radius 
                                     yRadius:radius];
   [[NSColor whiteColor] setFill];
   [path fill];
   [[NSColor blackColor] setStroke];
   [path stroke];
}
@end
