//
//  BezierPathCardsAddition.h
//  Card Game
//
//  Created by Amin Negm-Awad on Mi.,23.06.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSBezierPath( BezierPathCardsAddition )
- (void)appendBezierPathForSuit:(NSUInteger)suit;
- (void)appendBezierPathForValue:(NSUInteger)index;
- (void)transformToLocation:(NSPoint)location
                     height:(CGFloat)height;
@end
