//
//  Card_GameAppDelegate.m
//  Card Game
//
//  Created by Amin Negm-Awad on Mi.,23.06.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "Card_GameAppDelegate.h"

#import "TableBaizeView.h"

@implementation Card_GameAppDelegate
@synthesize window;
- (void)pageLayoutDidEnd:(NSPageLayout*)layout
                  return:(NSInteger)code
                 context:(void*)context
{
   NSPrintInfo* info = [layout printInfo];
   [NSPrintInfo setSharedPrintInfo:info];
   NSView* documentView = [scrollView documentView];
   NSSize paperSize = [info paperSize];
   paperSize.width -= [info leftMargin] + [info rightMargin];
   paperSize.height -= [info topMargin] + [info bottomMargin];
   [documentView setFrameSize: paperSize];
}

- (IBAction)runPageLayout:(id)sender { 
   [[NSApplication sharedApplication] runPageLayout:sender];
}

- (IBAction)addTable:(id)sender 
{
   NSView* documentView = [scrollView documentView];
   
   // Bemassung holen
   NSRect frame = NSZeroRect;
   NSPrintInfo* info = [NSPrintInfo sharedPrintInfo];
   frame.size = [info paperSize];
   frame.size.width -= [info leftMargin] + [info rightMargin];
   frame.size.height -= [info topMargin] + [info bottomMargin];
   
   // einen View entsprechender Groesse erzeugen und platzieren
   TableBaizeView* view = [[[TableBaizeView alloc]
                                            initWithFrame:frame] 
                                            autorelease];
   
   // Die Groesse des Containers anpassen
   [documentView addSubview:view];
}

- (void)awakeFromNib {
   NSPrintInfo* info = [NSPrintInfo sharedPrintInfo];
   [info setOrientation:NSLandscapeOrientation];
   [[scrollView documentView] setFrame:NSZeroRect];
}
@end
