//
//  KeyValueBindingExtension.m
//  Card Game
//
//  Created by Amin Negm-Awad on Mi,16.09.09.
//  Copyright 2009 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "KeyValueBindingExtension.h"


@implementation NSDictionary( KeyValueBindingExtension )
- (NSUInteger)keyValueChangeKind 
{
   return [[self objectForKey:NSKeyValueChangeKindKey] 
           unsignedIntegerValue];
}

- (id)keyValueChangeNew
{
   return [self objectForKey:NSKeyValueChangeNewKey];
}

- (id)keyValueChangeOld
{
   return [self objectForKey:NSKeyValueChangeOldKey];
}

- (NSIndexSet*)keyValueChangeIndexes
{
   return [self objectForKey:NSKeyValueChangeIndexesKey];
}
@end
