//  TableBaizeView.h
//  Card Game
//
//  Created by Amin Negm-Awad
//  Copyright [co coa:ding] 2009. All rights reserved.

#import <Cocoa/Cocoa.h>

@class CardStackView;
@class TableBaizeView;

#pragma mark Data-Source-Protokoll
extern const NSUInteger playerStacksMinIndex;
extern const NSUInteger playerStacksCount;
extern const NSUInteger depotStackIndex;
extern const NSUInteger targetStackIndex;

extern NSString* const targetDisclosedCardsBinding;

@interface TableBaizeView : NSView {
   NSMutableArray* playerViews;
   CardStackView*  depotView;
   CardStackView*  targetView;
}
- (CardStackView*)viewWithStackIndex:(NSUInteger)index;
- (void)setValueKeyPath:(NSString*)valueKeyPath 
         andSuitKeyPath:(NSString*)suitKeyPath;
@end
