//
//  CompressArrayValueTransformer.m
//  Card Game
//
//  Created by Amin Negm-Awad on Mi,16.09.09.
//  Copyright 2009 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "CompressArrayValueTransformer.h"


@implementation CompressArrayValueTransformer
@synthesize compression;

+ (Class)transformedValueClass
{
   return [NSArray class];
}

+ (BOOL)allowsReverseTransformation
{
   return NO;
}
- (id)transformedValue:(id)value
{
   // Wir arbeiten aus Prinzip nur mit Arrays zusammen
   if( ![value isKindOfClass:[NSArray class]] ) {
      return nil;
   }
   
   NSMutableArray* transformedValue;
   transformedValue = [NSMutableArray array];
   NSUInteger index;
   NSUInteger step = self.compression;
   for( index = 0; index < [value count]; index += step ) {
      [transformedValue addObject:[value objectAtIndex:index]];
   }
   
   return transformedValue;
}
@end
