//  AppDelegate.h
//  Card Game
//
//  Created by Amin Negm-Awad
//  Copyright 2009 [co coa:ding]. All rights reserved.

#import <Cocoa/Cocoa.h>

#import "TableBaizeView.h"

@class ColorPreferences;

@interface AppDelegate : NSObject  {
   NSArray* stacks;
   NSArray* filterControllers;
   IBOutlet TableBaizeView* tableBaizeView;
}
@property( copy ) NSArray* stacks;
@property( copy ) NSArray* filterControllers;

- (IBAction)addCard:(id)sender;
- (IBAction)removeLastCard:(id)sender;
- (IBAction)replaceFirstCard:(id)sender;
- (IBAction)setStack:(id)sender;
- (IBAction)replaceFirstAndLastCard:(id)sender;
- (IBAction)changeLastCard:(id)sender;
- (IBAction)discloseCards:(id)sender;
@end

