//
//  DockClockAppDelegate.m
//  DockClock
//
//  Created by Amin Negm-Awad on Mo.,09.08.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "DockClockAppDelegate.h"
#import "ClockView.h"
@implementation DockClockAppDelegate
@synthesize window;
@synthesize timer;

- (void)toggleDisplayMode:(id)sender 
{
   NSLog( @"click" );
}

- (void)tick:(NSTimer*)timer 
{
   NSApplication* application 
   = [NSApplication sharedApplication]; 
   NSDockTile* dockTile = [application dockTile]; 
   ClockView* clockView = (ClockView*)[dockTile contentView];
   [clockView setDate:[NSDate date]];
   [dockTile display];
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {

   NSApplication* application = [NSApplication sharedApplication];
   NSDockTile* dockTile = [application dockTile]; 
   [dockTile setBadgeLabel:@"24"];
   
   ClockView* dockView = [[[ClockView alloc] init] autorelease];
   [dockView setDate:[NSDate date]];
   [dockTile setContentView:dockView];
   [dockTile display];
   
   SEL tickSelector = @selector( tick: ); 
   self.timer = [NSTimer timerWithTimeInterval:1.0
                                        target:self 
                                      selector:tickSelector 
                                      userInfo:nil
                                       repeats:YES];
   NSRunLoop* mainLoop = [NSRunLoop mainRunLoop];
   [mainLoop addTimer:self.timer forMode:NSRunLoopCommonModes];
}
@end
