//
//  FileHandleAppDelegate.m
//  FileHandle
//
//  Created by Amin Negm-Awad on Di.,13.07.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "FileHandleAppDelegate.h"

@implementation FileHandleAppDelegate
@synthesize window;

@synthesize data; 
- (IBAction)readFile:(id)sender
{
   NSString* path 
   = [@"~/Desktop/big" stringByExpandingTildeInPath];
   
   NSFileManager* manager = [NSFileManager defaultManager]; 
   NSDictionary* attribs
   = [manager fileAttributesAtPath:path traverseLink:NO]; 
   NSLog( @"Attribs: %@", attribs );
   
   // Starte lesen 
   NSFileHandle* fileHandle
   = [NSFileHandle fileHandleForReadingAtPath:path];
   NSData* rawData = [fileHandle readDataToEndOfFile];
   self.data = rawData;
   NSLog( @"Datei gelesen" );
}


- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	// Insert code here to initialize your application 
}

- (id)init 
{
   self= [super init];
   if( self ) {
      self.data = [NSMutableData data];
   } 
   return self;
}

- (void)dealloc {
   self.data = nil; [super dealloc];
}

@end
