//
//  TableViewWithDelete.m
//  TableViewWithDelete
//
//  Created by Amin Negm-Awad on Fr.,09.07.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "TableViewWithDelete.h"


@implementation TableViewWithDelete
- (void)keyDown:(NSEvent*)event {
   NSString* text = [event charactersIgnoringModifiers];
   if( [text length] == 1 ) {
      unichar key = [text characterAtIndex:0]; 
      if(	(key == NSDeleteCharacter)
          || (key == NSDeleteFunctionKey) )
      {
         // Besteht ein Binding?
         NSDictionary* binding;
         binding = [self infoForBinding:NSContentBinding];
         if( binding ) {
            // Zu einem Array-Controller?
            id obj = [binding objectForKey:NSObservedObjectKey];  
            if( [obj isKindOfClass:[NSArrayController class]] ) {
               [obj remove:self];
            }
         }
         return;
      }
   }

   [super keyDown:event];
}
@end
