//
//  TransparentView.m
//  Transparency
//
//  Created by Amin Negm-Awad on Fr.,09.07.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "TransparentView.h"


@implementation TransparentView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}

- (void)drawRect:(NSRect)dirtyRect {
   NSRect bounds = [self bounds ];
   
   [[NSColor clearColor] setFill];
   NSRectFill( bounds );
   bounds = NSInsetRect( bounds, 
                         bounds.size.width /10.0,
                         bounds.size.height/10.0);
   [[NSColor redColor] setFill];
   NSRectFill( bounds );
   
   bounds = NSInsetRect( bounds, bounds.size.width /10.0,
                         bounds.size.height/10.0);
   [[NSColor colorWithCalibratedWhite:1.0 alpha:0.05] setFill];
   NSRectFill( bounds );
}
@end
