//
//  TransparentWindow.m
//  Transparency
//
//  Created by Amin Negm-Awad on Fr.,09.07.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "TransparentWindow.h"


@implementation TransparentWindow
- (id)initWithContentRect:(NSRect)frame 
                styleMask:(NSUInteger)style
                  backing:(NSBackingStoreType)backing 
                    defer:(BOOL)defer
{
   self = [super initWithContentRect:frame
                           styleMask:style
                             backing:backing
                               defer:defer];
   
   if( self ) { 
      [self setOpaque:NO];
   } 
   return self;
}
@end
