#import <Cocoa/Cocoa.h>

@interface ImageShowController : NSObject {
    NSView *imageShowView;
    NSArray *images;
    NSUInteger indexOfCurrentImage;
    NSImageView *currentImageView;
}

@property (retain) IBOutlet NSView *imageShowView;
@property (copy) NSArray *images;
@property NSUInteger indexOfCurrentImage;

- (IBAction)nextImage:(id)sender;
- (IBAction)previousImage:(id)sender;

@end
