//
//  TableBaizeView.m
//  Card Game
//
//  Created by Amin Negm-Awad on Mi.,23.06.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "TableBaizeView.h"


@implementation TableBaizeView
- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}

- (void)drawRect:(NSRect)dirtyRect {
   NSColor* lighterColor = [NSColor colorWithCalibratedRed:0.2 
                                                     green:0.7 
                                                      blue:0.2
                                                     alpha:1.0];

   NSColor* darkerColor = [NSColor colorWithCalibratedRed:0.0 
                                                    green:0.5 
                                                     blue:0.0
                                                    alpha:1.0];

   NSGradient* gradient; 
   gradient = [[[NSGradient alloc]
                            initWithStartingColor:lighterColor
                                      endingColor:darkerColor] 
                            autorelease];
   
   [gradient            	drawInRect:[self bounds] 
             relativeCenterPosition:NSMakePoint( -0.5, +0.5 )];
   
}
@end
