//
//  Card_GameAppDelegate.m
//  Card Game
//
//  Created by Amin Negm-Awad on Mi.,23.06.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "Card_GameAppDelegate.h"

#import "TableBaizeView.h"

@implementation Card_GameAppDelegate

@synthesize window;

- (IBAction)addCards:(id)sender 
{ 
   NSDictionary* card;
   NSMutableArray* cards = [NSMutableArray arrayWithCapacity:2];
   card = [NSDictionary dictionaryWithObjectsAndKeys:
           [NSNumber numberWithInt:6], @"value",
           [NSNumber numberWithInt:0], @"suit", nil];
   [cards addObject:card];
   
   card = [NSDictionary dictionaryWithObjectsAndKeys: 
           [NSNumber numberWithInt:12], @"value", 
           [NSNumber numberWithInt:2], @"suit", nil];
   [cards addObject:card]; 
   
   [tableBaizeView addCards:cards toPlayerStackWithIndex:0];
}
   
- (IBAction)enterFullScreenMode:(id)sender {
   NSScreen* screen = [NSScreen mainScreen]; 
   [[window contentView] enterFullScreenMode:screen
                                 withOptions:nil];
}

- (IBAction)exitFullScreenMode:(id)sender {
   [[window contentView] exitFullScreenModeWithOptions:nil];
}

- (void)applicationDidFinishLaunching:(NSNotification*)notif 
{
}
@end
