//  AppDelegate.m
//  Card Game
//
//  Created by Amin Negm-Awad
//  Copyright 2009 [co coa:ding]. All rights reserved.

#import "AppDelegate.h"

#import "TableBaizeView.h"

@implementation AppDelegate
- (IBAction)enterFullScreenMode:(id)sender 
{
   NSScreen* screen = [NSScreen mainScreen]; 
   [[window contentView] enterFullScreenMode:screen
                                 withOptions:nil];
}

- (IBAction)exitFullScreenMode:(id)sender
{
   [[window contentView] exitFullScreenModeWithOptions:nil]; 
}

- (void)awakeFromNib
{
}
- (IBAction)addCards:(id)sender {
   NSDictionary* card;
   
   NSMutableArray* cards = [NSMutableArray arrayWithCapacity:2];
   
   card = [NSDictionary dictionaryWithObjectsAndKeys:
           [NSNumber numberWithInt:6], @"value",
           [NSNumber numberWithInt:0], @"suit",
           nil];
   [cards addObject:card];
   
   card = [NSDictionary dictionaryWithObjectsAndKeys:
           [NSNumber numberWithInt:12], @"value",
           [NSNumber numberWithInt:2], @"suit",
           nil];
   [cards addObject:card];
   
   [tableBaizeView addCards:cards toPlayerStackWithIndex:0];
}

- (IBAction)changeAndAddCards:(id)sender 
{
   NSDictionary* card;
   card = [NSDictionary dictionaryWithObjectsAndKeys:
           [NSNumber numberWithInt:2], @"value",
           [NSNumber numberWithInt:2], @"suit",
           nil];
   
   [tableBaizeView changeCardWithIndex:1 
                atPlayerStackWithIndex:0 
                                toCard:card];
   [self addCards:sender];
}
@end
