//  AppDelegate.m
//  Card Game
//
//  Created by Amin Negm-Awad
//  Copyright 2009 [co coa:ding]. All rights reserved.

#import "AppDelegate.h"

#import "TableBaizeView.h"

@implementation AppDelegate
- (void)pageLayoutDidEnd:(NSPageLayout*)layout
return:(NSInteger)code
context:(void*)context 
{
   NSPrintInfo* info = [layout printInfo]; 
   [NSPrintInfo setSharedPrintInfo:info]; 
   NSView* documentView = [scrollView documentView];
   NSSize paperSize = [info paperSize];
   paperSize.width  -= [info leftMargin] + [info rightMargin];
   paperSize.height -= [info topMargin]  + [info bottomMargin];
   [documentView setFrameSize: paperSize];
}

- (IBAction)runPageLayout:(id)sender {
   // Ein Panel erzeugen
   NSPageLayout *pageLayout = [NSPageLayout pageLayout];
   
   // und starten
   NSWindow* window = [scrollView window];
   
   NSPrintInfo* printInfo = [NSPrintInfo sharedPrintInfo];
   SEL selector = @selector( pageLayoutDidEnd:return:context: );
   [pageLayout beginSheetWithPrintInfo:printInfo
                        modalForWindow:window
                              delegate:self
                        didEndSelector: selector
                           contextInfo:NULL];
}

- (void)awakeFromNib
{
   NSPrintInfo* info = [NSPrintInfo sharedPrintInfo];
   
   [info setOrientation:NSLandscapeOrientation];
   
   NSSize paperSize = [info paperSize]; 
   paperSize.width  -= [info leftMargin] + [info rightMargin]; 
   paperSize.height -= [info topMargin] + [info bottomMargin]; 
   
   NSView* documentView = [scrollView documentView];
   [documentView setFrameSize:paperSize];   
}
@end
