//
//  CardStackView.h
//  Card Game
//
//  Created by Amin Negm-Awad
//  Copyright 2009 [co coa:ding]. All rights reserved.

#import <Cocoa/Cocoa.h>


@interface CardStackView : NSView {
   NSArray*    cards;
   NSRectEdge  alignment;
   NSIndexSet* selectedCardsIndices;
   NSInteger draggedCardsCount;
   NSRect	dragRect;
}
@property( copy ) NSArray* cards;
@property NSRectEdge alignment;
@property NSInteger draggedCardsCount;
@property( copy ) NSIndexSet* selectedCardsIndices;
@property NSRect dragRect;

+ (CGFloat)cardHeightForWidth:(CGFloat)width;
+ (CGFloat)cardWidthForHeight:(CGFloat)height;
@end
