//
//  CardStackView.h
//  Card Game
//
//  Created by Amin Negm-Awad
//  Copyright 2009 [co coa:ding]. All rights reserved.

#import <Cocoa/Cocoa.h>


@interface CardStackView : NSView {
   NSUInteger  countOfNonDisclosedCards;
   NSArray*    cards;
   NSRectEdge  alignment;
   
   NSIndexSet* selectedCardsIndices;
   NSInteger   draggedCardsCount;
}
@property NSUInteger countOfNonDisclosedCards;
@property( readonly ) NSUInteger cardsCount;
@property( copy ) NSArray* cards;
@property NSRectEdge alignment;
@property NSInteger draggedCardsCount;
@property( copy ) NSIndexSet* selectedCardsIndices;

+ (CGFloat)cardHeightForWidth:(CGFloat)width;
+ (CGFloat)cardWidthForHeight:(CGFloat)height;
@end
