//
//  DisclosedFilterArrayController.m
//  Card Game
//
//  Created by Amin Negm-Awad on Fr,18.09.09.
//  Copyright 2009 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "DisclosedFilterArrayController.h"


@implementation DisclosedFilterArrayController
@synthesize filteredOutCount;

- (NSArray*)arrangeObjects:(NSArray*)objects
{
   if( [self.content count] == [objects count] ) {
      NSUInteger unfilteredCount = [objects count];
      objects = [super arrangeObjects:objects];
      NSUInteger filteredCount = [objects count];
   
      self.filteredOutCount = unfilteredCount - filteredCount;
      NSLog( @"filtered %d", self.filteredOutCount );
   
      return objects;
   }

   return [super arrangeObjects:objects];
}
@end
