//
//  CustomOutlineViewAppDelegate.m
//  CustomOutlineView
//
//  Created by Amin Negm-Awad on Fr.,09.07.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "CustomOutlineViewAppDelegate.h"

#import "TextAndAdditionalCell.h"

@implementation CustomOutlineViewAppDelegate
@synthesize window;

- (void)                   outlineView:(NSOutlineView*)view 
        mouseDownInHeaderOfTableColumn:(NSTableColumn*)column
{
   NSEvent* event = [[NSApplication sharedApplication] currentEvent];
   if( [event modifierFlags] & NSAlternateKeyMask ) { 
      [NSMenu popUpContextMenu:menu
                     withEvent:event 
                       forView:view];
   }  
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification 
{
   NSCell* cell = [childrenColumn dataCell];
   if( [cell isKindOfClass:[TextAndAdditionalCell class]] ) {
      TextAndAdditionalCell* combinedCell 
      = (TextAndAdditionalCell*)cell;
      [combinedCell setAdditionalKeyPath:@"children.@count"];
   }
}
@end
