//
//  ScrewDisclosureCellSupport.m
//  Stackspector
//
//  Created by Amin Negm-Awad on Do.,08.07.10.
//  Copyright 2010 Dr. Pribilla Kaldenhoff Negm. All rights reserved.
//

#import "ScrewDisclosureCellSupport.h"
#import "StackView.h"

@implementation ScrewDisclosure( ScrewDisclosureCellSupport ) 
- (void)showContent 
{
   NSSize size = self.frame.size;
   size.height = self.disclosedHeight;
   [self setFrameSize:size];
   
   if( [self.superview isKindOfClass:[StackView class]] ) { 
      StackView* stackView = (StackView*)self.superview;
      [stackView rearrangeForSubview:self];
   }
}

- (void)hideContent
{
   NSSize size = self.frame.size;
   size.height = [self.cell cellSize].height;
   [self setFrameSize:size];
   
   if( [self.superview isKindOfClass:[StackView class]] ) { 
      StackView* stackView = (StackView*)self.superview;
      [stackView rearrangeForSubview:self];
   }
}   
@end
